%define name mail-notification
%define version 5.4
%define rel 7
%define evo %(rpm -q evolution-devel --queryformat %%{VERSION})
%define fname %name-%version

Version: 	%{version}
Summary: 	New mail status tray icon
Name: 		%{name}
Release: 	%mkrel %rel
License: 	GPLv3+ and GFDL+
Group: 		Networking/Mail
Source: 	http://savannah.nongnu.org/download/mailnotify/%{fname}.tar.bz2
Source1: 	http://savannah.nongnu.org/download/mailnotify/%{fname}.tar.bz2.sig
Patch: mail-notification-5.4-evo2.23.patch
URL: 		http://www.nongnu.org/mailnotify/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libsasl-devel
BuildRequires:  openssl-devel
BuildRequires:	libgmime-devel
BuildRequires:  evolution-devel
#gw with the patch1 we need e-d-s 2.23
BuildRequires:  evolution-data-server-devel >= 2.23
BuildRequires:  libgnomeprintui-devel
BuildRequires:  libnotify-devel
BuildRequires:  avahi-glib-devel avahi-client-devel
BuildRequires:  gob2
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  mono-devel
BuildRequires:  desktop-file-utils
#gw aclocal called:
BuildRequires:  intltool
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group: 		Networking/Mail
Requires: %name = %version
Requires: evolution >= %evo
Summary: New mail status tray icon for Evolution

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep

%setup -q -n %fname
%patch -p1 -b .evo2.23
touch build/src/mn-evolution-server.gob.stamp

%build
#gw link error in evolution plugin
%define _disable_ld_no_undefined 1
./jb configure prefix=%_prefix sysconfdir=%_sysconfdir gconf-schemas-dir=%_sysconfdir/gconf/schemas cflags="%optflags" ldflags="%ldflags -Wl,--export-dynamic" destdir=%buildroot
./jb build 

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install
rm -f %buildroot%_libdir/evolution/*/plugins/*a
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/mail-notification.png %{buildroot}%{_liconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/32x32/apps/mail-notification.png %{buildroot}%{_iconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/16x16/apps/mail-notification.png %{buildroot}%{_miconsdir}/%{name}.png


%if %mdkversion < 200900
%post 
%update_menus
%post_install_gconf_schemas mail-notification
%update_scrollkeeper
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas mail-notification

%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc README COPYING TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/mail-notification.desktop
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_sysconfdir/gconf/schemas/mail-notification.schemas
%_datadir/icons/hicolor/*/apps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%defattr (-,root,root)
%doc COPYING
%_libdir/evolution/*/plugins/*



%changelog
* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 5.4-7mdv2009.1
+ Revision: 336622
- rebuild

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 5.4-6mdv2009.1
+ Revision: 299519
- rebuild for new evolution

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 5.4-5mdv2009.1
+ Revision: 295655
- rebuild for new evolution-data-server

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 5.4-4mdv2009.0
+ Revision: 271216
- patch for new evolution
- fix optflags
- disable --no-undefined

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 5.4-3mdv2009.0
+ Revision: 240201
- rebuild

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 5.4-2mdv2009.0
+ Revision: 231592
- update license
- rebuild for new nautilus

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 22 2008 Götz Waschk <waschk@mandriva.org> 5.4-1mdv2009.0
+ Revision: 210120
- new version
- new version

* Tue Mar 25 2008 Götz Waschk <waschk@mandriva.org> 5.2-1mdv2008.1
+ Revision: 189825
- new version

* Fri Mar 21 2008 Götz Waschk <waschk@mandriva.org> 5.1-1mdv2008.1
+ Revision: 189359
- new version
- drop patch
- update file list
- fix build deps
- adapt for new build system (what a great idea, everyone tries to
- replace the GNU autotools)

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5.0-1mdv2008.1
+ Revision: 161044
- new version
- fix build with new eel
- update buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 5.0-0.rc1.1mdv2008.1
+ Revision: 113488
- new version
- drop patch

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 4.1-2mdv2008.1
+ Revision: 103047
- update the patch to fix build with evolution 2.12.1
- fix intltool build

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 4.1-1mdv2008.0
+ Revision: 44509
- fix buildrequires
- new version
- update the patch

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 4.0-2mdv2008.0
+ Revision: 37208
- rename evolution plugin

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2008.0
+ Revision: 36896
- patch for new evolution


* Wed Jan 17 2007 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2007.0
+ Revision: 109952
- new version
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc2.2mdv2007.1
+ Revision: 99537
- rebuild for new e-d-s

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc2.1mdv2007.1
+ Revision: 92084
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc1.4mdv2007.1
+ Revision: 88871
- rebuild to get the right evolution plugin dir

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 4.0-0.rc1.3mdv2007.1
+ Revision: 87970
- add buildrequires for x86_64
- bot rebuild
- new version
- fix buildrequires
- handle new icons
- Import mail-notification

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-.0
- Rebuild with latest dbus

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 3.0-4mdv2007.0
- fix error in postun

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 3.0-3mdv2007.0
- xdg menu

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Rebuild with latest libgail
- use macros

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 3.0-1mdv2007.0
- new version

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.2mdv2007.0
- rebuild for new evolution

* Fri May 19 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.1mdk
- new version

* Wed May 17 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc1.1mdk
- update deps
- update file list
- drop patches
- new version

* Sat Apr 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-11mdk
- Add BuildRequires: Mono-devel

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 2.0-10mdk
- fix deps
- build with e-d-s 1.6.1

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-9mdk
- fix buildrequires

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-8mdk
- official patch for imap authentication problem

* Sun Nov 20 2005 Gtz Waschk <waschk@mandriva.org> 2.0-7mdk
- rebuild for new openssl

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0-6mdk
- arrgh!

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0-5mdk
- trying to fix bug #19161

* Sat Oct 08 2005 Gtz Waschk <waschk@mandriva.org> 2.0-4mdk
- evo 2.4

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- enable evolution support

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 2.0-2mdk
- register scrollkeeper files
- add menu entry
- patch for gmail

* Thu Aug 11 2005 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- fix file list
- small build patch
- New release 2.0

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Nov 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99-1mdk
- fix buildrequires
- New release 0.99

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Nov 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- New release 0.8.0

* Tue Oct 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Fri Oct 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- update file list
- build with soup
- source URL
- New release 0.7.0

* Wed Oct 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Thu Sep 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Fix gconf schema install
- Remove pacth0 (merged upstream)

* Sat Aug 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.2mdk
- add patch0 for ia64, ppc & x86_64

* Sat Aug 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.1mdk
- new, please test
- no Gmail support without libsoup-1x

